be.ehealth.technicalconnector.config.impl

## Class RecursiveProperties

- java.lang.Object
- - java.util.Dictionary<K,V>
  - - java.util.Hashtable<Object,Object>
    - - java.util.Properties
      - - be.ehealth.technicalconnector.config.impl.RecursiveProperties

- All Implemented Interfaces:
    Serializable, Cloneable, Map<Object,Object>

      public class RecursiveProperties
      extends Properties

  `Properties` with lookup features for property resolutions
- `RecursiveLookup`
: Replacing the placeholder ${ `String` with the value of the property inside the placeholder.
- `UddiLookup`:Replacing the placehlolder $uddi{ `String` with the corresponding UDDI entry.
- `SystemLookup`: Replacing the placeholder $system{`String` with the corresponding `System.getProperty(String)`

See Also:
  Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RecursiveProperties()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getProperty(String key)`
    `String` | `getProperty(String key, String defaultValue)`
    `Enumeration<Object>` | `keys()`

    - ### Methods inherited from class java.util.Properties

      `list, list, load, load, loadFromXML, propertyNames, save, setProperty, store, store, storeToXML, storeToXML, stringPropertyNames`

    - ### Methods inherited from class java.util.Hashtable

      `clear, clone, compute, computeIfAbsent, computeIfPresent, contains, containsKey, containsValue, elements, entrySet, equals, forEach, get, getOrDefault, hashCode, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, toString, values`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RecursiveProperties

          public RecursiveProperties()
                              throws TechnicalConnectorException

      Throws:
        `TechnicalConnectorException`

  - ### Method Detail

    - #### keys

          public Enumeration<Object> keys()

      Overrides:
        `keys` in class `Hashtable<Object,Object>`

    - #### getProperty

          public String getProperty(String key,
                                    String defaultValue)

      Overrides:
        `getProperty` in class `Properties`

    - #### getProperty

          public String getProperty(String key)

      Overrides:
        `getProperty` in class `Properties`

Connector Packaging PERSPHYSICIAN 4.8.6 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.